@import 'libs/shared/assets/src/global-style/color';

::ng-deep .ant-table-expanded-row-fixed {
  width: unset !important;
}

.content {
  display: flex;
  flex-direction: row;
  & > div {
    padding: 5px;
  }
  ::ng-deep {
    .ant-card-head {
      display: none;
    }
  }
}

.container-fluid {
  background: $background-main;
  .form {
    background: $white-color;
  }
}

.form-row {
  justify-content: space-between;
  &__input {
    width: 99.5%;
    border-radius: 8px;
    min-height: 44px;
    border: 1px solid $border-color;
    padding: 4px 11px;
    margin: 2px;
    &:hover, &:focus {
      border: 1px solid $primary-button-color;
      box-shadow: none;
    }
    &:focus-visible {
      outline: none;
      border: 1px solid $primary-button-color;
    }
  }

  &__left {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  &__btn {
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
  }

  &__right {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    color: $black-color;
  }
}

.pagination {
  display: flex;
  align-items: center;
  &__icon {
    min-height: 40px;
    align-items: center;
    display: flex;
    justify-content: flex-end;
    &.ant-pagination {
      margin: 0;
    }
  }
  &__table-info {
    justify-content: flex-start;
  }
}

.form-search {
  padding: 10px;
  text-align: left;
}

.center {
  align-self: center;
}

.label {
  display: flex;
  justify-content: center;
  align-items: center;
  label {
    display: contents;
  }
}

.app-card {
  padding-top: 0;
}

::ng-deep.modal-padding-top-0 {
  .ant-modal-body {
    padding-top: 0;
  }
}
